/***********************************************************
Copyright 1990 by Digital Equipment Corporation, Maynard, Massachusetts.

                        All Rights Reserved

Permission to use, copy, modify, and distribute these examples for any
purpose and without fee is hereby granted, provided that the above
copyright notice appear in all copies and that both that copyright
notice and this permission notice appear in supporting documentation,
and that the name of Digital not be used in advertising or publicity
pertaining to distribution of the software without specific, written
prior permission.

DIGITAL AND THE AUTHORS DISCLAIM ALL WARRANTIES WITH REGARD TO THIS
SOFTWARE, INCLUDING ALL IMPLIED WARRANTIES OF MERCHANTABILITY AND
FITNESS, IN NO EVENT SHALL DIGITAL BE LIABLE FOR ANY SPECIAL, INDIRECT
OR CONSEQUENTIAL DAMAGES OR ANY DAMAGES WHATSOEVER RESULTING FROM LOSS
OF USE, DATA OR PROFITS, WHETHER IN AN ACTION OF CONTRACT, NEGLIGENCE
OR OTHER TORTIOUS ACTION, ARISING OUT OF OR IN CONNECTION WITH THE USE
OR PERFORMANCE OF THIS SOFTWARE.

******************************************************************/

#ifndef  VENDORP_H
#define VENDORP_H

/* New fields for the VendorShell widget class record */

typedef struct {
    XtPointer extension;
} VendorShellClassPart;

typedef struct _VendorShellClassRec {
    CoreClassPart	core_class;
    CompositeClassPart	composite_class;
    ShellClassPart  	shell_class;
    WMShellClassPart   	wm_shell_class;
    VendorShellClassPart vendor_shell_class;
} VendorShellClassRec;

extern VendorShellClassRec vendorShellClassRec;

/* New fields for the vendor shell widget. */

typedef struct {
    Boolean	no_title;
    Font	title_font;
} VendorShellPart;

typedef struct {
    CorePart 		core;
    CompositePart 	composite;
    ShellPart 		shell;
    WMShellPart		wm;
    VendorShellPart	vendor;
} VendorShellRec, *VendorShellWidget;

#endif  /* VENDORP_H */
